<template>
  <div
    :class="
      `${!active ? `text-gray-700 ${color == 'white' ? 'border-transparent' : ''}` : `font-bold bg-${color}-100`} ${
        color == 'white' ? 'border-r border-t border-b' : ''
      } lg:pl-4 lg:py-2 pl-6 py-4 cursor-pointer select-none flex flex-row items-center duration-200 transition-all rounded-r-full overflow-hidden`
    "
  >
    <div :class="`transition-opacity duration-200 text-${color}-500 ${active ? '' : 'opacity-50'}`">
      <slot name="icon"></slot>
    </div>
    <slot></slot>
  </div>
</template>

<script>
export default {
  props: {
    active: {
      type: Boolean,
      default: false
    },
    color: {
      type: String,
      default: "blue"
    }
  }
};
</script>
